For the complete documentation index, see llms.txt. This page is also available as Markdown.

/order

post

Get details for a specific order, including refund info and if it was mined.

Compression

Optional HTTP compression is supported.

Request: Clients may compress the JSON request body and specify the encoding via the Content-Encoding header.

Response: Clients may request responses to be compressed by specifying encodings via the Accept-Encoding header.

Supported encodings:

  • zstd

  • gzip

  • br (Brotli)

Authorizations
Path parameters
chainstring · enumRequired

Chain to query for

Example: ethPossible values:
Query parameters
api_keystringRequiredExample: docs-demo
Body
order_hashstringRequiredPattern: 0[xX][0-9a-fA-F]+
Responses
200Success
application/json
mev_backrunsstring[]Required

If this order was successfully backrun by searchers, this list will contain each of those backrun orders

Example: 0xf57e12d4b38588b6cd9b2d95cc26745e73ef946be3911dbd6f8e322f96e11b71
mined_blockinteger · nullableOptional

The block that included this order; null if it has not been mined.

order_hashstringRequired
order_typestringRequired
prio_fee_paidnumber · doubleRequired

The prio fee paid on chain

received_atstring · date-timeRequired
received_auction_bidsinteger · int64Required
received_blockinteger · int64Required
statusstring · enumRequired

The status of this order

Possible values:
tagstring · nullableOptional
tx_hashesstring[]Required

If this order is a bundle, this is an ordered array containing its transactions. If it is a transaction, this is a single element array containing its hash

Example: 0xf57e12d4b38588b6cd9b2d95cc26745e73ef946be3911dbd6f8e322f96e11b71
unique_searchersinteger · int64Required
post/v1/{chain}/order
POST /v1/{chain}/order?api_key=text HTTP/1.1
Host: api.novarpc.xyz
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "order_hash": "0xc5039a7241d18baa14c04f239ed998371a12e2760d42fb871de28ba5e4f95b92"
}
200Success
{
  "order_hash": "0xc5039a7241d18baa14c04f239ed998371a12e2760d42fb871de28ba5e4f95b92",
  "order_type": "bundle",
  "received_auction_bids": 10,
  "unique_searchers": 4,
  "received_block": 24120019,
  "mined_block": 24120019,
  "received_at": "2026-02-02T11:07:27.872490Z",
  "tag": null,
  "refunds": [
    {
      "refunded_amount": "1350000000000000",
      "payout_tx_hash": "0x8b8419df61c7f9b47eac433d42eb535df8000e2e1badaf05cf80ac9b9c96a2be",
      "refund_payout_type": "onchain",
      "is_backrun": false
    }
  ],
  "tx_hashes": [
    "0x07df62dd12a3b1725f470f8f54d6290ebe4a0cdd2a9e080b8a7c42d8be823671"
  ],
  "prio_fee_paid": 1500,
  "mev_backruns": [
    "0x9698affbc1635b8fb1f87455fbf50514139bd38d8409c04d70c1023a85e219e1"
  ],
  "auction_bids": [
    {
      "searcher": 1,
      "amount": 100000,
      "received_at": "2026-02-02T11:07:27.901Z"
    },
    {
      "searcher": 2,
      "amount": 250000,
      "received_at": "2026-02-02T11:07:27.934Z"
    },
    {
      "searcher": 1,
      "amount": 500000,
      "received_at": "2026-02-02T11:07:27.961Z"
    }
  ],
  "dropped": null,
  "status": "confirmed"
}

Last updated